文档

ScanClusterVuls - 扫描集群安全漏洞

更新时间:

您可以调用ScanClusterVuls接口扫描ACK集群中潜在的安全漏洞,包括容器工作负载漏洞、三方软件漏洞、CVE漏洞、WebCMS漏洞、Windows操作系统漏洞等。建议您定期扫描集群的安全漏洞,提高集群安全性。

调试

您可以在OpenAPI Explorer中直接运行该接口,免去您计算签名的困扰。运行成功后,OpenAPI Explorer可以自动生成SDK代码示例。

授权信息

下表是API对应的授权信息,可以在RAM权限策略语句的Action元素中使用,用来给RAM用户或RAM角色授予调用此API的权限。具体说明如下:

  • 操作:是指具体的权限点。
  • 访问级别:是指每个操作的访问级别,取值为写入(Write)、读取(Read)或列出(List)。
  • 资源类型:是指操作中支持授权的资源类型。具体说明如下:
    • 对于必选的资源类型,用背景高亮的方式表示。
    • 对于不支持资源级授权的操作,用全部资源表示。
  • 条件关键字:是指云产品自身定义的条件关键字。
  • 关联操作:是指成功执行操作所需要的其他权限。操作者必须同时具备关联操作的权限,操作才能成功。
操作访问级别资源类型条件关键字关联操作
cs:ScanClusterVulsWrite
  • Cluster
    acs:cs:{#regionId}:{#accountId}:cluster/{#ClusterId}

请求语法

POST /clusters/{cluster_id}/vuls/scan

请求参数

名称类型必填描述示例值
cluster_idstring

集群 ID。

c259f563386444ebb8d7****

返回参数

名称类型描述示例值
object

返回体。

request_idstring

请求 ID。

687C5BAA-D103-4993-884B-C35E4314A1E1
task_idstring

任务 ID。

T-xascadasd*****

示例

正常返回示例

JSON格式

{
  "request_id": "687C5BAA-D103-4993-884B-C35E4314A1E1",
  "task_id": "T-xascadasd*****"
}

错误码

访问错误中心查看更多错误码。

变更历史

变更时间变更内容概要操作
2023-07-21API 内部配置变更,不影响调用看变更集
变更项变更内容
API 内部配置变更,不影响调用
  • 本页导读 (1)